Kenya Individual Credit Report
curl --request POST \
--url https://adhere-api.smartcomply.com/api/onboarding/kenya/individual_credit/ \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"national_id": "12345678"
}
'import requests
url = "https://adhere-api.smartcomply.com/api/onboarding/kenya/individual_credit/"
payload = { "national_id": "12345678" }
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({national_id: '12345678'})
};
fetch('https://adhere-api.smartcomply.com/api/onboarding/kenya/individual_credit/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "failed",
"data": [
"<unknown>"
],
"message": "<string>"
}{
"status": "failed",
"message": "Authentication credentials were not provided."
}Individuel
Rapport de crédit individuel au Kenya
Récupérez le rapport de crédit d’un individu au Kenya à l’aide de son numéro de national ID.
POST
/
api
/
onboarding
/
kenya
/
individual_credit
/
Kenya Individual Credit Report
L’endpoint Rapport de crédit individuel au Kenya fournit un enregistrement complet des activités liées au crédit d’un individu au Kenya, notamment les comptes de crédit, les échéanciers de paiement, l’utilisation du crédit et le statut d’impayé.
Endpoint
POST /api/onboarding/kenya/individual_credit/
Requête
En-têtes
| En-tête | Valeur | Requis |
|---|---|---|
x-access-token | Votre clé secrète API | Oui |
Content-Type | application/json | Oui |
Paramètres de corps
| Paramètre | Type | Requis | Description |
|---|---|---|---|
national_id | string | Oui | Le numéro de national ID kényan de l’individu |
Exemple
curl -X POST "https://adhere-api.smartcomply.com/api/onboarding/kenya/individual_credit/" \
-H "x-access-token: YOUR_SECRET_KEY" \
-H "Content-Type: application/json" \
-d '{"national_id": "12345678"}'
Réponse
200 OK
{
"status": "success",
"data": {},
"message": "Kenya Individual Credit Report retrieved successfully"
}
400 Bad Request
{
"status": "failed",
"data": [],
"message": "Sorry, your check cannot be processed at the moment. Please try again in a few minutes"
}
401 Unauthorized
{
"status": "failed",
"message": "Authentication credentials were not provided."
}

